
/******************************************************************************
**
**  This program is free software; you can redistribute it and/or
**  modify it, however, you cannot sell it.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**
**  You should have received a copy of the license attached to the
**  use of this software.  If not, visit www.shmoo.com/osiris for
**  details.
**
******************************************************************************/

/*****************************************************************************
**
**  File:    md_auth.h
**  Date:    June 3, 2002
**
**  Author:  Brian Wotring
**  Purpose: handle interactions with the user authentication database
**           for this management daemon.
**
******************************************************************************/

#ifndef MD_AUTH_H_
#define MD_AUTH_H_


#define ADMIN_USER_NAME "admin"


void load_auth_database();
void unload_auth_database();
void reload_auth_database();

void read_auths();
void signal_auths_updated();

osi_bool authenticate_auth_context( OSI_AUTH_CONTEXT *auth_context );
osi_bool create_auth_db( const char *auth_db_path );

osi_bool set_auth_entry( const char *user, const char *pass );
osi_bool del_auth_entry( const char *user );
osi_bool auth_entry_exists( const char *user );

osi_list get_auth_list();

#endif

